[v-cloak] {
  display: none;
}

body {
  position: relative;
  min-height: 100vh;
}

.green {
  color: #198754;
}

.auth {
  position: absolute;
  background: #242448;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.auth .inner {
  padding: 32px;
  box-shadow: 5px 5px 15px rgba(0,0,0,.07);
  width: 100%;
  max-width: 480px;
  border-radius: 8px;
  background: #fff;
}
.auth .btn {
  width: 100%;
}

.controls {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  margin: 32px -10px;
}
.controls .control {
  margin: 0 10px;
}
.controls .control .inner {
  min-height: 175px;
  display: inline-block;
  padding: 16px;
  border: 2px solid #666;
}
.controls .time {
  flex: 1;
  text-align: right;
  margin: 0 10px;
  font-size: 64px;
}

.center {
  text-align: center;
}

.tender-info {}
.tender-info td {
  white-space: nowrap;
}

hr {
  margin: 1rem 0;
  border-top: var(--bs-border-width) solid #dee2e6;
  opacity: 1;
}

.table.stages,
.table.bidders {
  vertical-align: middle;
}
.table.stages * {
  font-size: 14px;
  line-height: 16px;
}
.table.stages small {
  font-size: 12px;
  color: #999;
}
.table.stages th,
.table.stages td {
  white-space: nowrap;
  text-align: center;
}
.table.stages .bidder .user {
  justify-content: center !important;
}
.table.stages .bidder.show {
  cursor: pointer;
  transition: .2s ease-in-out;
}
.table.stages .bidder.show:hover {
  color: green;
}
.table.stages .disabled,
.table.stages .disabled * {
  background: #f6f6f6;
  color: #ccc !important;
}

.table.bidders * {
  font-size: 14px;
  line-height: 16px;
}
.table.bidders small {
  font-size: 12px;
  color: #999;
}

#userInfo .nav-item {
  cursor: pointer;
}
#userInfo .tabs {
  padding: 16px;
  border: 1px solid var(--bs-border-color);
  border-top: 0;
}
#userInfo .tab {
  display: none;
}
#userInfo .tab.active {
  display: block;
}
#userInfo .tab p {
  margin: 0;
  font-size: 15px;
  line-height: 20px;
}

#app .user {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
#app .user .state {
  flex: 0 0 7px;
  display: inline-block;
  width: 7px;
  height: 7px;
  margin: 0 8px 0 0;
  background: #bbb;
  border-radius: 50%;
}
#app .user .state.online {
  background: #198754;
}

.winner {
  padding: 16px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  border: 4px solid #eee;
  line-height: 24px;
}
.winner strong {
  margin-left: 12px;
  line-height: 24px;
}
.winner strong small {
  font-size: 20px;
}
.winner.not-chosen {
  flex-direction: column;
}
.winner.not-chosen small {
  font-size: 18px;
  margin-top: 10px;
}
.description {
  margin-bottom: 10px;
}

.attachments-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.attachments-list li {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  margin: 0 0 .5rem;
}
.attachments-list li .btn {
  display: inline-block;
  margin-right: 1rem;
  min-width: 110px;
  text-align: center;
}
.attachments-list li strong {}

.declined {
  color: #999;
}
.decline-wrapper {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: #242448;
}
.decline-wrapper > .decline {
  padding: 2rem;
  box-shadow: 5px 5px 15px rgba(0,0,0,.07);
  width: 100%;
  max-width: 480px;
  border-radius: .5rem;
  background: #fff;
  font-size: 1.25rem;
  line-height: 1.5rem;
  border-radius: 1rem;
  text-align: center;
}